MapTileUtil (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class MapTileUtil

    java.lang.Object
      com.bbn.openmap.dataAccess.mapTile.MapTileUtil

    public class MapTileUtil

extends java.lang.Object

A utility class to help manage tile trees. Use the builders to configure and launch the MapTileUtil.

Author:
  dietrick

Nested Class Summary
`static class` | `MapTileUtil.Action` A generic builder Action that handles most configuration issues for the MapTileUtil.
`static class` | `MapTileUtil.Copy` Action that copies tiles from one directory to another.
`static class` | `MapTileUtil.Jar` Action that creates a jar file containing the specified files.
`static class` | `MapTileUtil.URLGrabber` A Builder that knows how to download files from a website.

Field Summary
`static java.lang.String` | `BOUNDS_PROPERTY`
`static java.lang.String` | `DESTINATION_PROPERTY`
`static java.lang.String` | `IMAGEFORMAT_PROPERTY`
`static java.lang.String` | `SOURCE_PROPERTY`
`static int` | `ZOOM_LEVELS`
`static java.lang.String` | `ZOOMLEVEL_PROPERTY`

Constructor Summary
`MapTileUtil(MapTileUtil.Action builder)`

Method Summary
`void` | `grabTiles(MapTileUtil.Action builder)` Figure out which tiles need action, based on settings.
`static void` | `main(java.lang.String[] args)` For instance...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_PROPERTY

    public static final java.lang.String SOURCE_PROPERTY

See Also:
  Constant Field Values

### BOUNDS_PROPERTY

    public static final java.lang.String BOUNDS_PROPERTY

See Also:
  Constant Field Values

### DESTINATION_PROPERTY

    public static final java.lang.String DESTINATION_PROPERTY

See Also:
  Constant Field Values

### IMAGEFORMAT_PROPERTY

    public static final java.lang.String IMAGEFORMAT_PROPERTY

See Also:
  Constant Field Values

### ZOOMLEVEL_PROPERTY

    public static final java.lang.String ZOOMLEVEL_PROPERTY

See Also:
  Constant Field Values

### ZOOM_LEVELS

    public static final int ZOOM_LEVELS

See Also:
  Constant Field Values

Constructor Detail

### MapTileUtil

    public MapTileUtil(MapTileUtil.Action builder)

Method Detail

### grabTiles

    public void grabTiles(MapTileUtil.Action builder)

  Figure out which tiles need action, based on settings. Calls Action.action() for each tile on the builder. Designed to be called from Action.go().

  Parameters:
    `builder` -

### main

    public static void main(java.lang.String[] args)

  For instance...

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details